[Forgot Password]
Login  Register Subscribe

23631

 
 

122183

 
 

98060

 
 

909

 
 

79198

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2009-4004

Date: (C)2009-11-19   (M)2017-08-18 


Buffer overflow in the kvm_vcpu_ioctl_x86_setup_mce function in arch/x86/kvm/x86.c in the KVM subsystem in the Linux kernel before 2.6.32-rc7 allows local users to cause a denial of service (memory corruption) or possibly gain privileges via a KVM_X86_SETUP_MCE IOCTL request that specifies a large number of Machine Check Exception (MCE) banks.

CVSS Score: 7.2Access Vector: LOCAL
Exploit Score: 3.9Access Complexity: LOW
Impact Score: 10.0Authentication: NONE
 Confidentiality: COMPLETE
 Integrity: COMPLETE
 Availability: COMPLETE





Reference:
BID-37035
SECUNIA-37357
ADV-2009-3267
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=a9e38c3e01ad242fe2a625354cf065c34b01e3aa
http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.32-rc7
kernel-kvmvcpuioctl-privilege-escalation(54302)

CPE    423
cpe:/o:linux:linux_kernel:2.6.25.20
cpe:/o:linux:linux_kernel:2.4.35.2
cpe:/o:linux:linux_kernel:2.6.19.2
cpe:/o:linux:linux_kernel:2.6.19.3
...
CWE    1
CWE-119

© 2013 SecPod Technologies